unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, SDL_rchart;

type
  TForm1 = class(TForm)
    RC1: TRChart;
    Panel1: TPanel;
    BButExit: TBitBtn;
    CBoxMouseAffectsLayer1: TCheckBox;
    CBoxMouseAffectsLayer2: TCheckBox;
    RGLayout: TRadioGroup;
    RGMouseAction: TRadioGroup;
    BButZoom11: TBitBtn;
    RGGrid: TRadioGroup;
    procedure FormShow(Sender: TObject);
    procedure BButExitClick(Sender: TObject);
    procedure CBoxMouseAffectsLayer1Click(Sender: TObject);
    procedure CBoxMouseAffectsLayer2Click(Sender: TObject);
    procedure RGLayoutClick(Sender: TObject);
    procedure RGMouseActionClick(Sender: TObject);
    procedure BButZoom11Click(Sender: TObject);
    procedure RGGridClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  SDL_sdlbase;

(******************************************************************************)
procedure TForm1.FormShow(Sender: TObject);
(******************************************************************************)

var
  i : integer;

begin
RC1.ClearGraf;
RC1.ActiveLayer := 1;
RC1.DataColor := RC1.Scale1Y.ColorScale;
RC1.MoveTo(0, 0);
for i:=1 to 490 do
  RC1.DrawTo(0.2*i, sin(i*0.2)*exp(i/100));

RC1.ActiveLayer := 2;
RC1.DataColor := RC1.Scale2Y.ColorScale;
RC1.MoveTo(cos(0), sin(0));
for i:=1 to 490 do
  RC1.DrawTo(cos(i*0.058), sin(i*0.02));

RC1.ShowGraf;
end;


(******************************************************************************)
procedure TForm1.BButExitClick(Sender: TObject);
(******************************************************************************)

begin
close;
end;


(******************************************************************************)
procedure TForm1.CBoxMouseAffectsLayer1Click(Sender: TObject);
(******************************************************************************)

begin
RC1.MouseAffectsLayer[1] := CBoxMouseAffectsLayer1.Checked;
end;

(******************************************************************************)
procedure TForm1.CBoxMouseAffectsLayer2Click(Sender: TObject);
(******************************************************************************)

begin
RC1.MouseAffectsLayer[2] := CBoxMouseAffectsLayer2.Checked;
end;

(******************************************************************************)
procedure TForm1.RGLayoutClick(Sender: TObject);
(******************************************************************************)

begin
case RGLayout.ItemIndex of
  0 : RC1.StandardLayout := rcl_X2Bottom_Y2Left;
  1 : RC1.StandardLayout := rcl_X1Bottom_Y2Both;
  2 : RC1.StandardLayout := rcl_X2Both_Y2Both;
end;
end;

(******************************************************************************)
procedure TForm1.RGMouseActionClick(Sender: TObject);
(******************************************************************************)

begin
case RGMouseAction.ItemIndex of
  0 : RC1.MouseAction := maPan;
  1 : RC1.MouseAction := maZoomWindPos;
end;
end;

(******************************************************************************)
procedure TForm1.BButZoom11Click(Sender: TObject);
(******************************************************************************)

begin
RC1.AutoRange(1,15);
RC1.AutoRange(2,15);
end;

(******************************************************************************)
procedure TForm1.RGGridClick(Sender: TObject);
(******************************************************************************)

begin
case RGGrid.ItemIndex of
  0 : begin
      RC1.GridStyle := gsNone;
      RC1.ActiveLayer := 0;
      end;
  1 : begin
      RC1.GridStyle := gsDotLines;
      RC1.ActiveLayer := 1;
      end;
  2 : begin
      RC1.GridStyle := gsDotLines;
      RC1.ActiveLayer := 2;
      end;

end;
end;

end.
